## matecomponent-ui-preferences matecomponent-ui-preferences |

## Synopsis

    #define             MATECOMPONENT_UI_PAD
    #define             MATECOMPONENT_UI_PAD_SMALL
    #define             MATECOMPONENT_UI_PAD_BIG
    void                matecomponent_ui_preferences_add_engine    (MateComponentUIEngine *engine);
    void                matecomponent_ui_preferences_remove_engine (MateComponentUIEngine *engine);
    MateComponentUIToolbarStyle  matecomponent_ui_preferences_get_toolbar_style
                                                            (void);
    gboolean            matecomponent_ui_preferences_get_menus_have_icons
                                                            (void);
    gboolean            matecomponent_ui_preferences_get_menus_have_tearoff
                                                            (void);
    gboolean            matecomponent_ui_preferences_get_menubar_detachable
                                                            (void);
    gboolean            matecomponent_ui_preferences_get_toolbar_detachable
                                                            (void);

## Description

## Details

### MATECOMPONENT_UI_PAD

    #define MATECOMPONENT_UI_PAD          8

### MATECOMPONENT_UI_PAD_SMALL

    #define MATECOMPONENT_UI_PAD_SMALL    4

### MATECOMPONENT_UI_PAD_BIG

    #define MATECOMPONENT_UI_PAD_BIG      12

### matecomponent_ui_preferences_add_engine ()

    void                matecomponent_ui_preferences_add_engine    (MateComponentUIEngine *engine);

`engine` : |

### matecomponent_ui_preferences_remove_engine ()

    void                matecomponent_ui_preferences_remove_engine (MateComponentUIEngine *engine);

`engine` : |

### matecomponent_ui_preferences_get_toolbar_style ()

    MateComponentUIToolbarStyle  matecomponent_ui_preferences_get_toolbar_style
                                                            (void);

Returns : |

### matecomponent_ui_preferences_get_menus_have_icons ()

    gboolean            matecomponent_ui_preferences_get_menus_have_icons
                                                            (void);

Returns : |

### matecomponent_ui_preferences_get_menus_have_tearoff ()

    gboolean            matecomponent_ui_preferences_get_menus_have_tearoff
                                                            (void);

Returns : |

### matecomponent_ui_preferences_get_menubar_detachable ()

    gboolean            matecomponent_ui_preferences_get_menubar_detachable
                                                            (void);

Returns : |

### matecomponent_ui_preferences_get_toolbar_detachable ()

    gboolean            matecomponent_ui_preferences_get_toolbar_detachable
                                                            (void);

Returns : |